interface FlexProps extends JSX.HTMLAttributes<HTMLDivElement> {
    direction?: "row" | "column" | "row-reverse" | "column-reverse";
    align?: "start" | "center" | "end" | "stretch" | "baseline";
    justify?: "start" | "center" | "end" | "between" | "around" | "evenly";
    wrap?: boolean;
    gap?: number | string;
}
declare const Flex: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<FlexProps> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
declare const Box: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<JSX.HTMLAttributes<HTMLDivElement>> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
declare const HStack: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<Omit<FlexProps, "direction">> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
declare const VStack: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<Omit<FlexProps, "direction">> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
declare const Text: import("preact").FunctionalComponent<import("preact/compat").PropsWithoutRef<JSX.HTMLAttributes<HTMLDivElement>> & {
    ref?: import("preact").Ref<HTMLDivElement> | undefined;
}>;
export { Flex, Box, HStack, VStack, Text };
